{% sw_extends '@Storefront/storefront/component/checkout/offcanvas-cart.html.twig' %}


{% block component_offcanvas_cart_header %}
    <div class="row align-items-center h4 offcanvas-cart-header p-md-3 m-md-0">
        <div class="col">
            {{ "checkout.cartHeader"|trans|sw_sanitize }}
        </div>

        {% if isCartNotEmpty %}
            <div class="col-auto">
                <small class="offcanvas-cart-header-count">
                    {{ "checkout.itemCounter"|trans({'%count%': page.cart.lineItems|length})|sw_sanitize }}
                </small>
            </div>
        {% endif %}
        
        <a href="{{ path('frontend.checkout.confirm.page') }}"
		   class="btn btn-block {% if isCartNotEmpty %}btn-primary{% else %}btn-light disabled{% endif %} mt-md-2"
		   title="{{ "checkout.proceedToCheckout"|trans|striptags }}">
		    {{ "checkout.proceedToCheckout"|trans|sw_sanitize }}
		</a>
    </div>
{% endblock %}

{% block component_offcanvas_cart_items %}
    <div class="offcanvas-cart-items">
        {% for lineItem in page.cart.lineItems %}
            {% block component_offcanvas_cart_item %}
                {% sw_include '@Storefront/storefront/component/checkout/offcanvas-item.html.twig' %}
            {% endblock %}
        {% endfor %}
    </div>
{% endblock %}

{% block component_offcanvas_cart_actions_checkout %}

{% endblock %}
